import request from '@/utils/request'

// 查询抖音账户列表
export function listAdDyAccount(query) {
  return request({
    url: '/ad/AdDyAccount/list',
    method: 'get',
    params: query
  })
}

// 查询抖音账户详细
export function getAdDyAccount(id) {
  return request({
    url: '/ad/AdDyAccount/' + id,
    method: 'get'
  })
}

// 新增抖音账户
export function addAdDyAccount(data) {
  return request({
    url: '/ad/AdDyAccount',
    method: 'post',
    data: data
  })
}

// 修改抖音账户
export function updateAdDyAccount(data) {
  return request({
    url: '/ad/AdDyAccount',
    method: 'put',
    data: data
  })
}

// 删除抖音账户
export function delAdDyAccount(id) {
  return request({
    url: '/ad/AdDyAccount/' + id,
    method: 'delete'
  })
}

// 导出抖音账户
export function exportAdDyAccount(query) {
  return request({
    url: '/ad/AdDyAccount/export',
    method: 'get',
    params: query
  })
}